<?php
namespace Qihoo\Lib;

class Auth
{
    private $accessKey;
    private $secretKey;

    public function __construct($accessKey, $secretKey)
    {/*{{{*/
        $this->accessKey = $accessKey;
        $this->secretKey = $secretKey;
    }/*}}}*/

    public function __toString()
    {/*{{{*/
       return 'access_key:'.$accessKey.'.secret_key'.$secretKey.'.';
    }/*}}}*/

    public function __get($property_name)
    {/*{{{*/
        if(isset($this->$property_name)) {
            return($this->$property_name);
        } else {
            return(NULL);
        }
    }/*}}}*/

    public function signRequest($urlString)
    {/*{{{*/
        $auth = \md5($urlString.'\n'.$this->secretKey);
        return $auth;
    }/*}}}*/

    public function authorization($url)
    {/*{{{*/
        $authorization = $this->signRequest($url);
        return $this->accessKey.':'.$authorization;
    }/*}}}*/
}
